Subject: Re: getting lldp DCB_CMD_IEEE_GET after DCB_CMD_GCAP fails

From: Olaf Hering <[email-masked]>
Date: Fri, 18 Oct 2013 17:40:37 +0200

On Tue, Oct 15, Olaf Hering wrote:

> Is the code below supposed to work anyway? Thanks for any help.

For some reason libnl does require an ack handler. Without such handler,
if the data and the actual ack are sent back to the application with two
independent messages, the second recv will just be the ack. My example
did not take this into account. Now I changed it to something like this:
 do {
   nl_recvmsgs(handle, cb);
 } while (ack == 0);

Now it happens to work.

Olaf